-- enable mouse look in cap ships

local ml = {}

local enabled = false

function ml:OnEvent(name)
	if name == "ENTERED_STATION" then
		if GetCurrentStationType() == 1 and not gkinterface.GetMouseLookMode() then
			gkinterface.SetMouseLookMode(true)
			enabled = true
		end
	elseif name == "LEAVING_STATION" or 
	       name == "UNLOAD_INTERFACE" or
	       name == "PLAYER_LOGGED_OUT"
	then
		if enabled then
			gkinterface.SetMouseLookMode(false)
		end
		enabled = false
	end
end

RegisterEvent(ml, "ENTERED_STATION")
RegisterEvent(ml, "LEAVING_STATION")
RegisterEvent(ml, "UNLOAD_INTERFACE")
RegisterEvent(ml, "PLAYER_LOGGED_OUT")


spuck = spuck or {}
spuck.mouselookincaps = ml